# $Revision: 1.17 $, $Date: 2011/03/26 07:51:56 $
Summary:	Tool for spliting MP3, Ogg files to tracks
Summary(pl.UTF-8):	Program do podziału plików MP3, Ogg na ścieżki
Name:		mp3splt
Version:	2.3a
Release:	2
License:	GPL
Group:		Applications/Multimedia
Source0:	http://downloads.sourceforge.net/mp3splt/%{name}-%{version}.tar.gz
# Source0-md5:	1fe663f7de5a6949bbe5b6aa78fea79f
URL:		http://mp3splt.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libmp3splt-devel >= 0.6.1a
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mp3Splt is a command line utility to split MP3 and Ogg files selecting
a begin and an end time position, without decoding. It's very useful
to split large MP3/Ogg to make smaller files or to split entire albums
to obtain original tracks. If you want to split an album, you can
select split points and filenames manually or you can get them
automatically from CDDB (internet or a local file) or from .cue files.

Otherwise if you have a file created either with Mp3Wrap or AlbumWrap
you can extract tracks just in few seconds. Supports VBR MP3.

%description -l pl.UTF-8
Mp3Splt jest narzędziem do podziału plików MP3 i Ogg na ścieżki.
Działa bez potrzeby dekodowania pliku. Jest bardzo przydatny do
podziału dużych plików MP3/Ogg na mniejsze pliki lub do podziału
całego albumu w celu uzyskania poszczególnych ścieżek. W tym drugim
przypadku możliwe jest ustalenie momentów zmiany plików oraz ręczne
bądź automatyczne (pobierane z CDDB lub plików .cue) ustalanie nazw
plików.

Jeśli posiadasz plik stworzony za pomocą Mp3Wrap lub AlbumWrap, możesz
wydobyć poszczególne ścieżki w przeciągu zaledwie kilku sekund.
Program obsługuje MP3 z VBR.

%prep
%setup -q
sed -i -e 's/fr_FR/fr/;s/de_DE/de/' po/LINGUAS
mv po/fr_FR.po po/fr.po
mv po/de_DE.po po/de.po
%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -Im4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-oggsplt_symlink
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mp3splt
%attr(755,root,root) %{_bindir}/oggsplt
%{_mandir}/man1/mp3splt.1*
%{_mandir}/man1/oggsplt.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mp3splt.spec,v $
Revision 1.17  2011/03/26 07:51:56  wiget
- fix locale

Revision 1.16  2011/03/15 14:26:06  wiget
- up to 2.3a

Revision 1.15  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.13  2005/05/26 21:24:01  adgor
- gcc4.patch (tx pluto)

Revision 1.12  2005/05/05 22:07:28  jack
- updated to 2.1c

Revision 1.11  2005/01/11 13:16:12  czucz
- updated to 2.1b

Revision 1.10  2004/10/28 11:36:31  paladine
- "Ogg" and "Vorbis" unification

Revision 1.9  2004/10/28 10:49:16  paladine
- "MP3" unification

Revision 1.8  2004/09/28 21:07:37  jack
- updated to 2.1

Revision 1.7  2004/08/30 23:12:58  darekr
- update to 2.0e
- remove outdated mp3splt-to_read.patch

Revision 1.6  2004/01/15 23:12:11  zagrodzki
- updated to 2.0

Revision 1.5  2003/09/19 19:15:49  misi3k
- updated to 1.9

Revision 1.4  2003/08/26 11:44:56  qboosh
- fixed build (it doesn't use gettext)

Revision 1.3  2003/08/12 17:41:52  qboosh
- cleanups, pl fixes, removed autogenerated deps

Revision 1.2  2003/08/03 20:24:26  adamg
- unified source0 url
- fixed url
- completed pl description
- simplified %%prep
- removed %%{pre,post}{,un}
- spec adapterized
- note: still doesn't build...

Revision 1.1  2003/08/03 15:45:52  hunter
--initial pld revision.
